Bug 490803 - Review Request: emos - Interpolation software and GRIB, BUFR, CREX encoding/decoding routines
Review Request: emos - Interpolation software and GRIB, BUFR, CREX encoding/d...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 02:22 EDT by Jeroen van Meeuwen
Modified: 2012-06-29 18:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-29 18:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-03-18 02:22:01 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/emos.spec
SRPM URL: http://www.kanarip.com/custom/f11/SRPMS/emos-000360-1.fc11.src.rpm
Description: The Interpolation library (EMOSLIB) includes Interpolation software
and GRIB, BUFR, CREX encoding/decoding routines. It is used by the
ECMWF meteorological archival and retrieval system (MARS) and also by
the ECMWF graphics package Metview

A few koji scratch builds:

- dist-f9-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=1247607
- dist-f10-updates-candidate: http://koji.fedoraproject.org/koji/taskinfo?taskID=1247610
- dist-f11: http://koji.fedoraproject.org/koji/taskinfo?taskID=1247615

This package does not build on ppc or ppc64, and is not a supported architecture by upstream (I've contacted them to explore our options on ppc* platforms).
Comment 1 Jason Tibbitts 2010-10-27 13:31:40 EDT
FYI, I get 503 errors trying to download the spec and srpm from the above links.

At least PPC support isn't as much of an issue now as it used to be.
Comment 2 Jeroen van Meeuwen 2010-10-31 18:14:38 EDT
New (copy of) SRPM: http://kanarip.fedorapeople.org/emos-000370-2.fc13.src.rpm
New (copy of) SPEC: http://kanarip.fedorapeople.org/emos.spec
Comment 3 Ruediger Landmann 2010-10-31 18:40:48 EDT
Thanks Jeroen -- looks like there are some permissions problems with that spec file though.
Comment 4 Ruediger Landmann 2010-10-31 19:31:20 EDT
...and building on F13 results in empty packages:

$ rpmlint RPMS/x86_64/emos-000370-2.fc13.x86_64.rpm 
emos.x86_64: E: no-binary
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
$ rpmlint RPMS/x86_64/emos-static-000370-2.fc13.x86_64.rpm 
emos-static.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
$ rpmlint RPMS/x86_64/emos-debuginfo-000370-2.fc13.x86_64.rpm 
emos-debuginfo.x86_64: E: empty-debuginfo-package
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

(Same result on Koji -- http://koji.fedoraproject.org/koji/taskinfo?taskID=2567868 )

Could you please take another look?

Cheers
Rudi
Comment 5 Jason Tibbitts 2010-11-02 16:41:09 EDT
Please clear the whiteboard when updating with a version that builds.
Comment 6 Jason Tibbitts 2012-06-29 18:01:25 EDT
No buildable version in ages; closing.

Note You need to log in before you can comment on or make changes to this bug.